Users

Retrieve users in the active account and invite new users.
View as Markdown

Users are managed within the active account. You can see who has access to the account, invite a new user, inspect a specific user, or remove a user from the account.

Retrieve users

Retrieve the users available in the active account.

GET
/users
1curl https://api.hi.umnai.com/users \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "created_at": "2026-03-11T16:04:19.749000Z",
7 "updated_at": null,
8 "status": "ACTIVE"
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

Use a returned user id when you need to retrieve or remove a specific user.

Invite a user

Invite a user to the active account.

You need the user’s name, email address, and at least one role ID. Retrieve available roles first if you do not already have the role ID to assign.

POST
/users
1curl -X POST https://api.hi.umnai.com/users \
2 -H "Authorization: Bearer <token>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "name": "Sample User",
6 "email": "newsampleuser@email.com",
7 "role_ids": [
8 "f670a2aede034d459fa39fe386e963f5"
9 ]
10}'
Response
1{
2 "id": "ee11cbb19052e40b07aac0ca060c23ee",
3 "name": "Sample User",
4 "email": "newsampleuser@email.com",
5 "roles": [
6 {
7 "id": "e67fcb747ed5e2929d2711dabf714080",
8 "name": "Sample Role"
9 }
10 ],
11 "created_at": "2026-03-03T09:22:47.858632Z",
12 "created_by": {
13 "id": "dad46b2058752ffde5eaf02f1eb6abd5",
14 "name": "Sample User"
15 },
16 "updated_at": null
17}

Retrieve a user

Retrieve a specific user by their id.

GET
/users/:userId
1curl https://api.hi.umnai.com/users/{userId} \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "status": "ACTIVE",
7 "created_at": "2026-03-11T16:04:19.749000Z",
8 "updated_at": null
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

Remove a user

Delete a user by their id within the active account.

DELETE
/users/:userId
1curl -X DELETE https://api.hi.umnai.com/users/userId \
2 -H "Authorization: Bearer <token>"

Deleting a user changes account access. Make sure you are using the correct user id before sending the request.